Skip to main content
GET
/
api
/
v1
/
github
/
installations
/
{id}
/
activity
Get installation activity feed
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/github/installations/{id}/activity \
  --header 'Authorization: Bearer <token>'
{
  "has_more": true,
  "items": [
    {
      "command": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "repo_full_name": "<string>",
      "source_number": 123,
      "status": "<string>",
      "triggered_by": "<string>",
      "completed_at": "2023-11-07T05:31:56Z",
      "critical_count": 123,
      "findings_count": 123,
      "high_count": 123,
      "medium_count": 123,
      "result_summary": "<string>",
      "source_sha": "<string>",
      "source_state": "<string>",
      "source_title": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "per_page": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Installation ID (UUID)

Query Parameters

page
integer
default:1

Page number

per_page
integer
default:30

Items per page (max 100)

Response

Task activity feed

has_more
boolean
required
items
object[]
required
page
integer
required
per_page
integer
required